> ## Documentation Index
> Fetch the complete documentation index at: https://docs.parcha.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get source contents

> Retrieve content for specific source IDs



## OpenAPI

````yaml api-reference/openapi.yaml get /getSourceContents
openapi: 3.0.0
info:
  title: Parcha API
  version: 1.0.0
  description: API for managing Parcha jobs and checks
servers:
  - url: https://api.parcha.ai/api/v1
    description: Agent Hub API server
  - url: https://demo.parcha.ai/api/v1
    description: Sandbox API server
  - url: https://us1.parcha.ai/api/v1
    description: Legacy API server
  - url: http://{your-company-domain}.parcha.ai/api/v1
    description: Custom Enterpris server (your company's API server)
security:
  - bearerAuth: []
paths:
  /getSourceContents:
    get:
      summary: Get source contents
      description: Retrieve content for specific source IDs
      parameters:
        - name: source_ids
          in: query
          required: true
          schema:
            type: array
            items:
              type: string
          description: List of source IDs to retrieve
        - name: agent_instance_id
          in: query
          required: true
          schema:
            type: string
          description: The agent instance ID
      responses:
        '200':
          description: Source contents retrieved successfully
        '500':
          description: Internal server error
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key obtained from your Parcha account settings. Include as Bearer
        token in the Authorization header.

````